Returns all known tachograph files for all specified vehicles in the time range.
Rate limit: 150 requests/sec (learn more about rate limits here).
Submit Feedback: Likes, dislikes, and API feature requests should be filed as feedback in our API feedback form. If you encountered an issue or noticed inaccuracies in the API documentation, please submit a case to our support team.
To use this endpoint, select Read Tachograph (EU) under the Compliance category when creating or editing an API token. Learn More.
curl --request GET \
--url https://api.samsara.com/fleet/vehicles/tachograph-files/history \
--header 'Authorization: Bearer <token>'{
"data": [
{
"files": [
{
"createdAtTime": "2020-01-02T15:04:05Z07:00",
"id": "4aff772c-a7bb-45e6-8e41-6a53e34feb83",
"url": "https://samsara-tachograph-files.s3.us-west-2.amazonaws.com/123/456/789/4aff772c-a7bb-45e6-8e41-6a53e34feb83.ddd",
"vehicleIdentificationNumber": "1000000492436002"
}
],
"vehicle": {
"ExternalIds": {
"maintenanceId": "250020",
"payrollId": "ABFS18600"
},
"id": "123456789",
"name": "Midwest Truck #4"
}
}
],
"pagination": {
"endCursor": "MjkY",
"hasNextPage": true
}
}Documentation Index
Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
If specified, this should be the endCursor value from the previous page of results. When present, this request will return the next page of results that occur immediately after the previous page of results.
A start time in RFC 3339 format. Millisecond precision and timezones are supported. (Examples: 2019-06-13T19:08:25Z, 2019-06-13T19:08:25.455Z, OR 2015-09-15T14:00:12-04:00).
An end time in RFC 3339 format. Millisecond precision and timezones are supported. (Examples: 2019-06-13T19:08:25Z, 2019-06-13T19:08:25.455Z, OR 2015-09-15T14:00:12-04:00).
A filter on the data based on this comma-separated list of vehicle IDs. Example: vehicleIds=1234,5678
A filter on the data based on this comma-separated list of parent tag IDs, for use by orgs with tag hierarchies. Specifying a parent tag will implicitly include all descendent tags of the parent tag. Example: parentTagIds=345,678
A filter on the data based on this comma-separated list of tag IDs. Example: tagIds=1234,5678
curl --request GET \
--url https://api.samsara.com/fleet/vehicles/tachograph-files/history \
--header 'Authorization: Bearer <token>'{
"data": [
{
"files": [
{
"createdAtTime": "2020-01-02T15:04:05Z07:00",
"id": "4aff772c-a7bb-45e6-8e41-6a53e34feb83",
"url": "https://samsara-tachograph-files.s3.us-west-2.amazonaws.com/123/456/789/4aff772c-a7bb-45e6-8e41-6a53e34feb83.ddd",
"vehicleIdentificationNumber": "1000000492436002"
}
],
"vehicle": {
"ExternalIds": {
"maintenanceId": "250020",
"payrollId": "ABFS18600"
},
"id": "123456789",
"name": "Midwest Truck #4"
}
}
],
"pagination": {
"endCursor": "MjkY",
"hasNextPage": true
}
}